WWW::Mechanize::Link(3)

NAME
WWW::Mechanize::Link - Link object for WWW::Mechanize

VERSION
version 1.84

SYNOPSIS
Link object to encapsulate all the stuff that Mech needs but nobody wants to deal with as an array.

Constructor

  new()
    my $link = WWW::Mechanize::Link->new( {
        url  => $url,
        text => $text,
        name => $name,
        tag  => $tag,
        base => $base,
        attr => $attr_href,
    } );

For compatibility, this older interface is also supported:

 new( $url, $text, $name, $tag, $base, $attr_href )

Creates and returns a new "WWW::Mechanize::Link" object.

Accessors

  $link->url()
URL from the link

  $link->text()
Text of the link

  $link->name()
NAME attribute from the source tag, if any.

  $link->tag()
Tag name (one of: "a", "area", "frame", "iframe" or "meta").

  $link->base()
Base URL to which the links are relative.

  $link->attrs()
Returns hash ref of all the attributes and attribute values in the tag.

  $link->URI()
Returns the URL as a URI::URL object.

  $link->url_abs()
Returns a URI::URL object for the absolute form of the string.

SEE ALSO
WWW::Mechanize and WWW::Mechanize::Image

AUTHOR
Andy Lester <andy at petdance.com>

COPYRIGHT AND LICENSE
This software is copyright (c) 2004-2016 by Andy Lester.

This is free software; you can redistribute it and/or modify it under the same terms as the Perl 5 programming language system itself.